Summary:        Python module wrapping libsystemd functionality
Name:           python-systemd
Version:        235
Release:        6%{?dist}
License:        LGPLv2+
URL:            https://github.com/systemd/python-systemd
Source0:        https://github.com/systemd/python-systemd/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  make gcc systemd-devel
BuildRequires:  python3-devel python3-pytest python3-setuptools

%description 
Python module for native access to the systemd facilities. Functionality is 
separated into a number of modules:systemd.journal systemd.daemon systemd.id128
and systemd.login.

%package -n python3-systemd
Summary:        Python module wrapping libsystemd functionality

Provides:       python3-systemd = %{version}-%{release}
Provides:       systemd-python3 = %{version}-%{release}

%description -n python3-systemd 
Functionality includes sending of structured messages to the journal and reading journal
files, querying machine and boot identifiers and a lists of message identifiers
provided by systemd. Other functionality provided the library is also wrapped.

%prep
%autosetup -p1
sed -i 's/py\.test/pytest/' Makefile

%build
%make_build PYTHON=%{__python3} 

%install
%make_install PYTHON=%{__python3}
mkdir -p %{buildroot}%{_pkgdocdir}
cp -p README.md NEWS %{buildroot}%{_pkgdocdir}/

%check
test -f /run/systemd/journal/stdout || \
     sed -i 's/--doctest[^ ]*//g' pytest.ini
make PYTHON=%{__python3} check

%files -n python3-systemd
%license LICENSE.txt
%doc %{_pkgdocdir}
%{python3_sitearch}/systemd/
%{python3_sitearch}/systemd_python*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 235-6
- Rebuilt for python 3.11

* Mon Sep 18 2023 Xiaojie Chen <jackxjchen@tencent.com> - 235-5
- Add BR python3-setuptools

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 235-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 235-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 235-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 28 2022 Feng Weiyao <wynnfeng@tencent.com> - 235-1
- package init.
